<mp-splitpane id='details-sidebar' nav-height=[[#if navHeight]][[navHeight]][[else]]92[[/if]] min-size=50 default-size=300 dock=true primary='second' always-render=true>
  [[>  @partial-block]] 
  <div class="rightSidebar" data-flex-layout="column top-stretch">
    
    [[!-- open sidebar when details view button is clicked in the card--]]
    <mp-event-proxy id="open-details-sidebar" on-event-target="open-details-sidebar" on-event-type="Component.TemplateUpdate" proxy-event-type="SplitPane.Open" proxy-targets='["details-sidebar"]'></mp-event-proxy>
<mp-splitpane-toggle-on>
  <button style="width: 100%; 
                 border: none;
                 position:absolute; 
                 top:10%; 
                 left: -48px; 
                 background-color: #d9d9d9; 		
                 font-weight: 400;
    						 display: flow;
                 align-items: center;
                 cursor: pointer;
                 padding: 3px 8px;
                 margin: 2px;
                 box-shadow: inset 0 0 5px rgba(0,0,0,.15);
                 border-radius: 3px;
                 box-sizing: border-box;
                 white-space: nowrap;
                 font-size: medium;
                 background-color: #d9d9d9;" 
          class="rs-button rs-drawer-transparent">[[i18n "clipboard" bundle="languages/resource_detailssidebar" locale=this.lang]]</button>
</mp-splitpane-toggle-on>
<mp-splitpane-toggle-off>
<div class="split-pane__leftsidebar-header">
<button class="rightSidebar-header-button" data-flex-layout='layout="row center-left' 
        style="width: 100%;                                                                             
               border: none;
               background-color: #d9d9d9; 		
               font-weight: 400;
               display: flow;
               align-items: center;
               cursor: pointer;
               padding: 3px 8px;
               margin: 2px;
               box-shadow: inset 0 0 5px rgba(0,0,0,.15);
               border-radius: 3px;
               box-sizing: border-box;
               white-space: nowrap;
               font-size: medium;
               background-color: #d9d9d9;" >
[[i18n "clipboard" bundle="languages/resource_detailssidebar" locale=this.lang]]
</button>
</div>
</mp-splitpane-toggle-off>
<mp-splitpane-sidebar-open style="height: 100%; width: 100%;">
<mp-anonymous-hidden alt="[[i18n 'sign_in' bundle='languages/resource_detailssidebar' locale=this.lang]]">
<div style="display: flex; height: calc(100vh - 204px); flex-direction: column; flex: auto;">
              [[>  rsp:Clipboard id="clipboard" defaultViewMode="grid"]]
          </div>
</mp-anonymous-hidden>
</mp-splitpane-sidebar-open>
</div>
</mp-splitpane>